/***************************************************************************

  BionxControl
  Copyright © 2025 christoph holzheuer
  christoph.holzheuer@gmail.com

  Using:

  mhs_can_drv.c
  © 2011 - 2023 by MHS-Elektronik GmbH & Co. KG, Germany
  Klaus Demlehner, klaus@mhs-elektronik.de
  @see www.mhs-elektronik.de

  Based on Bionx data type descriptions from:

  BigXionFlasher USB V 0.2.4 rev. 97
  © 2011-2013 by Thomas Koenig <info@bigxionflasher.org>
  @see www.bigxionflasher.org

  Bionx Bike Info
  © 2018 Thorsten Schmidt (tschmidt@ts-soft.de)
  @see www.ts-soft.de

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 3 of the License, or
  (at your option) any later version.
  @see https://github.com/bikemike/bionx-bikeinfo

 ***************************************************************************/


#include <QApplication>
#include <QFile>
#include <QDebug>

#include <bcmainwindow.h>

bool setApplicationStyleSheet( QAnyStringView path )
{
  QFile styleFile( path.toString() );
  if (styleFile.open(QIODevice::ReadOnly | QIODevice::Text))
  {
    QString style = styleFile.readAll();
    qApp->setStyleSheet(style);
    styleFile.close();
    return true;
  }
  qWarning() << "Konnte Stylesheet nicht laden:" << styleFile.errorString();
  return true;
}

int main(int argc, char *argv[])
{
  QApplication app(argc, argv);
  //setApplicationStyleSheet( ":/bionxcontrol.qss"_L1 );

  BCMainWindow w;
  w.show();

  return app.exec();

}
